Browse Source

Remove autorequire for sahara-all

The sahara-all service was removed in [1]
but missed these autorequires.

[1] https://review.opendev.org/#/c/702387/

Change-Id: Id720b45bc8efff6340122062190e0bb47c2cad3b
tags/16.1.0
Tobias Urdin 2 weeks ago
parent
commit
845bfb91a2
2 changed files with 2 additions and 5 deletions
  1. +1
    -2
      lib/puppet/type/sahara_cluster_template.rb
  2. +1
    -3
      lib/puppet/type/sahara_node_group_template.rb

+ 1
- 2
lib/puppet/type/sahara_cluster_template.rb View File

@@ -47,9 +47,8 @@ Puppet::Type.newtype(:sahara_cluster_template) do
end
end

# TODO(tobias-urdin): Remove deprecated sahara-all from here when it's removed.
autorequire(:service) do
[ 'sahara-api', 'sahara-all', 'sahara-engine' ]
[ 'sahara-api', 'sahara-engine' ]
end

autorequire(:sahara_node_group_template) do

+ 1
- 3
lib/puppet/type/sahara_node_group_template.rb View File

@@ -74,9 +74,7 @@ Puppet::Type.newtype(:sahara_node_group_template) do
end
end

# TODO(tobias-urdin): Remove deprecated sahara-all from here when it's removed.
autorequire(:service) do
[ 'sahara-api', 'sahara-all', 'sahara-engine' ]
[ 'sahara-api', 'sahara-engine' ]
end

end

Loading…
Cancel
Save